WordPress
Search WordPress.org theme directory
GET
Permission: wp.extensions
apiTokenheader
AuthorizationBearer <token>An API token (mwp_…) from Settings → API tokens. Only accepted on this host.
site_id*Site IdFormat
uuidq*QSearch query
Length
1 <= length <= 100limit?LimitItems per page (1–100).
Range
1 <= value <= 100Default
50cursor?|Opaque cursor from a previous page's next_cursor.
Successful Response
application/json- response
success*booleandata*A page of WordPress.org directory results.
message*stringstatus_code*integertimestamp*stringFormat
date-timemeta?|nullcurl -X GET "https://example.com/v1/sites/497f6eca-6276-4993-bfeb-53cbbbba6f08/wp/themes/search?q=string"{ "message": "string", "status_code": 0, "timestamp": "2019-08-24T14:15:22Z", "meta": {}, "success": true, "data": { "items": [ { "name": null, "slug": null, "version": null, "author": null, "rating": null, "num_ratings": null, "downloaded": null, "active_installs": null, "last_updated": null, "homepage": null, "short_description": null, "requires": null, "tested": null, "requires_php": null, "icon": null } ], "next_cursor": null, "total": 0 }}